Bug 217355 - radeon driver misconfigures AGP mode
radeon driver misconfigures AGP mode
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-27 08:21 EST by Alex W. Jackson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-02 17:18:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Radeon AGPv3 mode patch (600 bytes, patch)
2006-11-27 08:21 EST, Alex W. Jackson
no flags Details | Diff

  None (edit)
Description Alex W. Jackson 2006-11-27 08:21:05 EST
Description of problem:
The radeon driver sets the wrong bits when attempting to set AGP 8x mode,
resulting in a lockup when starting X (or a warning in /var/log/messages on
newer Fedora kernels that have a workaround for this bug)

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.5.8.0-1

How reproducible:
Always, if you have suitable hardware (any AGPv3 Radeon--e.g. RV280)

Steps to Reproduce:
1. Install AGPv3 Radeon card
2. Set AGP speed to 8x in BIOS
3. Boot system
4. Log into X
5. After logging in (or lockup) look at /var/log/messages
  
Actual results:
As can be seen in /var/log/messages, driver attempts to set nonexistent "AGP
12x" mode, resulting in either lockup or warning message, depending on kernel.

Expected results:
Driver should correctly set AGP 8x mode.

Additional info:
kernel-2.6.18-1.2200_FC5 (and later) contains a workaround for this bug, but
given the triviality of the fix (see attached patch, which I backported from
xorg cvs) I think it's better if we just stamp it out at the source.
Comment 1 Alex W. Jackson 2006-11-27 08:21:05 EST
Created attachment 142165 [details]
Radeon AGPv3 mode patch
Comment 2 Adam Jackson 2007-04-02 17:18:28 EDT
Already included in the radeon driver in FC7, closing.  Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.